# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/bitmain,bm1880-sctrl.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Bitmain BM1880 System Controller

maintainers:
  - Manivannan Sadhasivam <mani@kernel.org>

properties:
  compatible:
    items:
      - const: bitmain,bm1880-sctrl
      - const: syscon
      - const: simple-mfd

  reg:
    maxItems: 1

  ranges: true

  '#address-cells':
    const: 1

  '#size-cells':
    const: 1

patternProperties:
  '^pinctrl@[0-9a-f]+$':
    type: object
    additionalProperties: true

    properties:
      compatible:
        contains:
          const: bitmain,bm1880-pinctrl

  '^clock-controller@[0-9a-f]+$':
    type: object
    additionalProperties: true

    properties:
      compatible:
        contains:
          const: bitmain,bm1880-clk

  '^reset-controller@[0-9a-f]+$':
    type: object
    additionalProperties: true

    properties:
      compatible:
        contains:
          const: bitmain,bm1880-reset

required:
  - compatible
  - reg
  - ranges
  - '#address-cells'
  - '#size-cells'

additionalProperties: false
...
